path: /build/build/libao-media-libs-1.2.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="alsa nas pulseaudio sndio" emerge media-libs/libao -pv -t && \
    USE="alsa nas pulseaudio sndio" emerge -j ${JOBS} --nodeps media-libs/libao
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libao && luet-portage --dir /pkgdir/libao
    media-libs/libao && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:deb260c0a0599cb6dc14bd266ef78f86d86ee2a095f405a5a5447b75cece8f83
  package:
    name: libao
    version: 1.2.2
    category: media-libs
    use_flags:
    - alsa
    - nas
    - pulseaudio
    - sndio
    requires:
    - name: macaroni-funtoo-race15
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: The Audio Output library
    uri:
    - https://www.xiph.org/ao/
    license: GPL-2
    buildtimestamp: 2023-09-16 15:05:50.704164557 +0000 UTC m=+100.128571382
    labels:
      BDEPEND: virtual/pkgconfig >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
        || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
        >=sys-devel/libtool-2.4
      DEPEND: alsa? ( >=media-libs/alsa-lib-1.0.27.2[-mgorny(-)] ) nas? ( >=media-libs/nas-1.9.4[-mgorny(-)]
        ) pulseaudio? ( >=media-sound/pulseaudio-2.1-r1[-mgorny(-)] ) sndio? ( media-sound/sndio:=
        )
      IUSE: alsa nas mmap pulseaudio sndio abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32
        abi_mips_n64 abi_mips_o32 abi_s390_32 abi_s390_64
      RDEPEND: alsa? ( >=media-libs/alsa-lib-1.0.27.2[-mgorny(-)] ) nas? ( >=media-libs/nas-1.9.4[-mgorny(-)]
        ) pulseaudio? ( >=media-sound/pulseaudio-2.1-r1[-mgorny(-)] ) sndio? ( media-sound/sndio:=
        )
      emerge.packages: media-libs/libao
      kit: media-kit
      original.package.name: media-libs/libao
      original.package.slot: "0"
      original.package.version: 1.2.2-r2
    treedir: /build/packages
  package_dir: /pkgdir/libao
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 498cf553649825bded68d20aaf30ddb0e97f8b950a6d8cb29f80beb4fdf12e94
compressiontype: zstd
files:
- usr/include/ao/ao.h
- usr/include/ao/os_types.h
- usr/include/ao/plugin.h
- usr/lib64/ao/plugins-4/libalsa.so
- usr/lib64/ao/plugins-4/libnas.so
- usr/lib64/ao/plugins-4/libpulse.so
- usr/lib64/ao/plugins-4/libsndio.so
- usr/lib64/ckport/db/libao.ckport
- usr/lib64/libao.so
- usr/lib64/libao.so.4
- usr/lib64/libao.so.4.1.1
- usr/lib64/pkgconfig/ao.pc
- usr/share/aclocal/ao.m4
- usr/share/doc/libao-1.2.2-r2/AUTHORS
- usr/share/doc/libao-1.2.2-r2/CHANGES.bz2
- usr/share/doc/libao-1.2.2-r2/README.bz2
- usr/share/doc/libao-1.2.2-r2/TODO.bz2
- usr/share/doc/libao-1.2.2-r2/html/ao_append_option.html
- usr/share/doc/libao-1.2.2-r2/html/ao_close.html
- usr/share/doc/libao-1.2.2-r2/html/ao_default_driver_id.html
- usr/share/doc/libao-1.2.2-r2/html/ao_device.html
- usr/share/doc/libao-1.2.2-r2/html/ao_driver_id.html
- usr/share/doc/libao-1.2.2-r2/html/ao_driver_info.html
- usr/share/doc/libao-1.2.2-r2/html/ao_driver_info_list.html
- usr/share/doc/libao-1.2.2-r2/html/ao_example.c
- usr/share/doc/libao-1.2.2-r2/html/ao_file_extension.html
- usr/share/doc/libao-1.2.2-r2/html/ao_free_options.html
- usr/share/doc/libao-1.2.2-r2/html/ao_info.html
- usr/share/doc/libao-1.2.2-r2/html/ao_initialize.html
- usr/share/doc/libao-1.2.2-r2/html/ao_is_big_endian.html
- usr/share/doc/libao-1.2.2-r2/html/ao_open_file.html
- usr/share/doc/libao-1.2.2-r2/html/ao_open_live.html
- usr/share/doc/libao-1.2.2-r2/html/ao_option.html
- usr/share/doc/libao-1.2.2-r2/html/ao_play.html
- usr/share/doc/libao-1.2.2-r2/html/ao_plugin_close.html
- usr/share/doc/libao-1.2.2-r2/html/ao_plugin_device_clear.html
- usr/share/doc/libao-1.2.2-r2/html/ao_plugin_device_init.html
- usr/share/doc/libao-1.2.2-r2/html/ao_plugin_driver_info.html
- usr/share/doc/libao-1.2.2-r2/html/ao_plugin_file_extension.html
- usr/share/doc/libao-1.2.2-r2/html/ao_plugin_open.html
- usr/share/doc/libao-1.2.2-r2/html/ao_plugin_play.html
- usr/share/doc/libao-1.2.2-r2/html/ao_plugin_set_option.html
- usr/share/doc/libao-1.2.2-r2/html/ao_plugin_test.html
- usr/share/doc/libao-1.2.2-r2/html/ao_sample_format.html
- usr/share/doc/libao-1.2.2-r2/html/ao_shutdown.html
- usr/share/doc/libao-1.2.2-r2/html/config.html
- usr/share/doc/libao-1.2.2-r2/html/drivers.html
- usr/share/doc/libao-1.2.2-r2/html/index.html
- usr/share/doc/libao-1.2.2-r2/html/libao-api.html
- usr/share/doc/libao-1.2.2-r2/html/overview.html
- usr/share/doc/libao-1.2.2-r2/html/plugin-api.html
- usr/share/doc/libao-1.2.2-r2/html/plugin-overview.html
- usr/share/doc/libao-1.2.2-r2/html/style.css
- usr/share/man/man5/libao.conf.5.bz2
- var/db/pkg/media-libs/libao-1.2.2-r2/BDEPEND
- var/db/pkg/media-libs/libao-1.2.2-r2/BUILD_TIME
- var/db/pkg/media-libs/libao-1.2.2-r2/CATEGORY
- var/db/pkg/media-libs/libao-1.2.2-r2/CBUILD
- var/db/pkg/media-libs/libao-1.2.2-r2/CFLAGS
- var/db/pkg/media-libs/libao-1.2.2-r2/CHOST
- var/db/pkg/media-libs/libao-1.2.2-r2/CONTENTS
- var/db/pkg/media-libs/libao-1.2.2-r2/COUNTER
- var/db/pkg/media-libs/libao-1.2.2-r2/CXXFLAGS
- var/db/pkg/media-libs/libao-1.2.2-r2/DEFINED_PHASES
- var/db/pkg/media-libs/libao-1.2.2-r2/DEPEND
- var/db/pkg/media-libs/libao-1.2.2-r2/DESCRIPTION
- var/db/pkg/media-libs/libao-1.2.2-r2/EAPI
- var/db/pkg/media-libs/libao-1.2.2-r2/FEATURES
- var/db/pkg/media-libs/libao-1.2.2-r2/HOMEPAGE
- var/db/pkg/media-libs/libao-1.2.2-r2/INHERITED
- var/db/pkg/media-libs/libao-1.2.2-r2/IUSE
- var/db/pkg/media-libs/libao-1.2.2-r2/IUSE_EFFECTIVE
- var/db/pkg/media-libs/libao-1.2.2-r2/KEYWORDS
- var/db/pkg/media-libs/libao-1.2.2-r2/LDFLAGS
- var/db/pkg/media-libs/libao-1.2.2-r2/LICENSE
- var/db/pkg/media-libs/libao-1.2.2-r2/NEEDED
- var/db/pkg/media-libs/libao-1.2.2-r2/PF
- var/db/pkg/media-libs/libao-1.2.2-r2/PROVIDES
- var/db/pkg/media-libs/libao-1.2.2-r2/RDEPEND
- var/db/pkg/media-libs/libao-1.2.2-r2/REQUIRES
- var/db/pkg/media-libs/libao-1.2.2-r2/SIZE
- var/db/pkg/media-libs/libao-1.2.2-r2/SLOT
- var/db/pkg/media-libs/libao-1.2.2-r2/USE
- var/db/pkg/media-libs/libao-1.2.2-r2/environment.bz2
- var/db/pkg/media-libs/libao-1.2.2-r2/libao-1.2.2-r2.ebuild
- var/db/pkg/media-libs/libao-1.2.2-r2/repository
package_cacheimage: ""
runtime:
  name: libao
  version: 1.2.2
  category: media-libs
  use_flags:
  - alsa
  - nas
  - pulseaudio
  - sndio
  requires:
  - name: nas
    version: '>=0'
    category: media-libs
  - name: pulseaudio
    version: '>=0'
    category: media-sound
  - name: sndio
    version: '>=0'
    category: media-sound
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: The Audio Output library
  uri:
  - https://www.xiph.org/ao/
  license: GPL-2
  labels:
    BDEPEND: virtual/pkgconfig >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
      || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
      >=sys-devel/libtool-2.4
    DEPEND: alsa? ( >=media-libs/alsa-lib-1.0.27.2[-mgorny(-)] ) nas? ( >=media-libs/nas-1.9.4[-mgorny(-)]
      ) pulseaudio? ( >=media-sound/pulseaudio-2.1-r1[-mgorny(-)] ) sndio? ( media-sound/sndio:=
      )
    IUSE: alsa nas mmap pulseaudio sndio abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32
      abi_mips_n64 abi_mips_o32 abi_s390_32 abi_s390_64
    RDEPEND: alsa? ( >=media-libs/alsa-lib-1.0.27.2[-mgorny(-)] ) nas? ( >=media-libs/nas-1.9.4[-mgorny(-)]
      ) pulseaudio? ( >=media-sound/pulseaudio-2.1-r1[-mgorny(-)] ) sndio? ( media-sound/sndio:=
      )
    emerge.packages: media-libs/libao
    kit: media-kit
    original.package.name: media-libs/libao
    original.package.slot: "0"
    original.package.version: 1.2.2-r2
